Package ghidra.util.table.field

# Class ReferenceFromBytesTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,Byte[],Program>
docking.widgets.table.DynamicTableColumnExtensionPoint<ghidra.app.plugin.core.analysis.ReferenceAddressPair,Byte[],Program>
ghidra.util.table.field.ProgramLocationTableColumnExtensionPoint<ghidra.app.plugin.core.analysis.ReferenceAddressPair,Byte[]>
ghidra.util.table.field.AbstractReferenceBytesTableColumn
ghidra.util.table.field.ReferenceFromBytesTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,Byte[],Program>`, `ExtensionPoint`, `ProgramBasedDynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,Byte[]>`, `ProgramLocationTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,Byte[]>`

public class ReferenceFromBytesTableColumn extends AbstractReferenceBytesTableColumn
This table field displays the bytes of the code unit at the FromAddress for the reference or possible reference address pair associated with a row in the table.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReferenceFromBytesTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Address`
  `getAddress(ghidra.app.plugin.core.analysis.ReferenceAddressPair pair)`
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `protected String`
  `getColumnNamePrefix()`

  ### Methods inherited from class ghidra.util.table.field.AbstractReferenceBytesTableColumn

  `getColumnDisplayName, getColumnRenderer, getMaxLines, getProgramLocation, getSettingsDefinitions, getValue`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnPreferredWidth, getComparator, getComparator, getHeaderRenderer, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnPreferredWidth, getComparator, getHeaderRenderer, getSupportedRowType, getUniqueIdentifier`

- ## Constructor Details

  - ### ReferenceFromBytesTableColumn

    public ReferenceFromBytesTableColumn()

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,Byte[],Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<ghidra.app.plugin.core.analysis.ReferenceAddressPair,Byte[],Program>`
    Returns:
      the field instance name.

  - ### getColumnNamePrefix

    protected String getColumnNamePrefix()
    Specified by:
      `getColumnNamePrefix` in class `AbstractReferenceBytesTableColumn`

  - ### getAddress

    protected Address getAddress(ghidra.app.plugin.core.analysis.ReferenceAddressPair pair)
    Specified by:
      `getAddress` in class `AbstractReferenceBytesTableColumn`